Bug 166237 - New port: devel/arduino-glcd: A Graphical LCD library for Arduino
Summary: New port: devel/arduino-glcd: A Graphical LCD library for Arduino
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-19 06:20 UTC by leres
Modified: 2012-07-19 19:10 UTC (History)
0 users

See Also:


Attachments
arduino-glcd-3.20111205-12.shar (13.33 KB, text/plain; charset=us-ascii)
2012-07-19 00:36 UTC, leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2012-03-19 06:20:10 UTC
 
 	This new port installs an Arduino library written by Michael
 	Margolis and Bill Perry that provides support for graphical
 	LCD displays with the Arduino and other AVR microprocessors.
 
> Fix:
 
 --- /tmp/arduino-glcd-3.20111205-12.shar begins here ---
 # This is a shell archive.  Save it in a file, remove anything before
 # this line, and then unpack it by entering "sh file".  Note, it may
 # create directories; files and directories will be owned by you and
 # have default permissions.
 #
 # This archive contains:
 #
 #	Makefile
 #	distinfo
 #	pkg-descr
 #	pkg-plist
 #
 echo x - Makefile
 sed 's/^X//' >Makefile << 'b67911656ef5d18c4ae36cb6741b7965'
 X# New ports collection makefile for:	arduino-lib-glcd
 X# Date created:		03 Apr 2011
 X# Whom:			Craig Leres <leres@ee.lbl.gov>
 X#
 X# $FreeBSD$
 X#
 X
 XPORTNAME=	arduino-glcd
 XPORTVERSION=	3.20111205
 XCATEGORIES=	devel
 XMASTER_SITES=	http://glcd-arduino.googlecode.com/files/
 XDISTNAME=	glcd-20111205
 X
 XMAINTAINER=	leres@ee.lbl.gov
 XCOMMENT=	GLCD Graphical LCD Library
 X
 XLICENSE=	LGPL21
 X
 XRUN_DEPENDS=	arduino:${PORTSDIR}/devel/arduino
 X
 XWRKSRC=		${WRKDIR}/glcd
 XUSE_ZIP=	yes
 XUSE_DOS2UNIX=	yes
 X
 XNO_BUILD=	yes
 X
 XFILES=	\
 X	Buildinfo.txt \
 X	License.txt \
 X	bitmaps \
 X	config \
 X	device \
 X	doc \
 X	fonts \
 X	gText.cpp \
 X	glcd.cpp \
 X	glcd.h \
 X	glcd_Buildinfo.h \
 X	glcd_Config.h \
 X	glcd_Device.cpp \
 X	include \
 X	readme.txt
 X
 Xdo-install:
 X	${MKDIR} ${PREFIX}/arduino/libraries/glcd
 X	(cd ${WRKDIR}/glcd && ${COPYTREE_SHARE} "${FILES}" \
 X	    ${PREFIX}/arduino/libraries/glcd "! -name *\.orig")
 X.if !defined(NOPORTEXAMPLES)
 X	${MKDIR} ${EXAMPLESDIR}
 X	(cd ${WRKDIR}/glcd/examples && ${COPYTREE_SHARE} . \
 X	    ${EXAMPLESDIR} "! -name *\.orig")
 X.endif
 X
 XPLIST_SUB+=	EXAMPLESDIR_REL=${EXAMPLESDIR_REL}
 X
 X.include <bsd.port.mk>
 b67911656ef5d18c4ae36cb6741b7965
 echo x - distinfo
 sed 's/^X//' >distinfo << '57677d168a5ec21bdf22c9501f075a8f'
 XSHA256 (glcd-20111205.zip) =
 b64d05a85a80f06e287610f693e4a03f66ca16e6921d118e68984c9d76b0c81d
 XSIZE (glcd-20111205.zip) = 1328811
 57677d168a5ec21bdf22c9501f075a8f
 echo x - pkg-descr
 sed 's/^X//' >pkg-descr << '7f9555c3c1089940396b503dd37f3979'
 XA Graphical LCD library for Arduino
 X
 XThis library supports Graphical LCD (GLCD) displays for use with
 XArduino and other AVR controllers.
 X
 XWWW: http://code.google.com/p/glcd-arduino/
 7f9555c3c1089940396b503dd37f3979
 echo x - pkg-plist
 sed 's/^X//' >pkg-plist << '842cde48cf18b70a11b15515ca566742'
 Xarduino/libraries/glcd/Buildinfo.txt
 Xarduino/libraries/glcd/License.txt
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon.h
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon32.bmp
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon32.h
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon32x32.bmp
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon32x32.h
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon64x32.bmp
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon64x32.h
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon64x64.bmp
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon64x64.h
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon96x32.bmp
 Xarduino/libraries/glcd/bitmaps/ArduinoIcon96x32.h
 Xarduino/libraries/glcd/bitmaps/allBitmaps.h
 Xarduino/libraries/glcd/bitmaps/utils/Java/glcdMakeBitmap.jar
 Xarduino/libraries/glcd/bitmaps/utils/Java/glcdMakeBitmap.java
 Xarduino/libraries/glcd/bitmaps/utils/Readme.txt
 Xarduino/libraries/glcd/bitmaps/utils/data/ArduinoIcon.bmp
 Xarduino/libraries/glcd/bitmaps/utils/glcdMakeBitmap/glcdMakeBitmap.pde
 Xarduino/libraries/glcd/config/Modagm1264f_Manual_Config.h
 Xarduino/libraries/glcd/config/Modmt12232d_Manual_Config.h
 Xarduino/libraries/glcd/config/Modvk5121_Manual_Config.h
 Xarduino/libraries/glcd/config/ks0108-192x64_Panel.h
 Xarduino/libraries/glcd/config/ks0108_Arduino.h
 Xarduino/libraries/glcd/config/ks0108_Manual_Config.h
 Xarduino/libraries/glcd/config/ks0108_Mega.h
 Xarduino/libraries/glcd/config/ks0108_Panel.h
 Xarduino/libraries/glcd/config/ks0108_Sanguino.h
 Xarduino/libraries/glcd/config/ks0108_Teensy.h
 Xarduino/libraries/glcd/device/hd44102_Device.h
 Xarduino/libraries/glcd/device/ks0108_Device.h
 Xarduino/libraries/glcd/device/ks0713_Device.h
 Xarduino/libraries/glcd/device/mt12232d_Device.h
 Xarduino/libraries/glcd/device/sed1520_Device.h
 Xarduino/libraries/glcd/device/xxx_Device.h
 Xarduino/libraries/glcd/doc/GLCD_Documentation.pdf
 Xarduino/libraries/glcd/doc/GLCDref.htm
 Xarduino/libraries/glcd/doc/html/Coordinates.jpg
 Xarduino/libraries/glcd/doc/html/annotated.html
 Xarduino/libraries/glcd/doc/html/bc_s.png
 Xarduino/libraries/glcd/doc/html/classes.html
 Xarduino/libraries/glcd/doc/html/classg_text-members.html
 Xarduino/libraries/glcd/doc/html/classg_text.html
 Xarduino/libraries/glcd/doc/html/classg_text.png
 Xarduino/libraries/glcd/doc/html/classglcd-members.html
 Xarduino/libraries/glcd/doc/html/classglcd.html
 Xarduino/libraries/glcd/doc/html/classglcd.png
 Xarduino/libraries/glcd/doc/html/classglcd___device-members.html
 Xarduino/libraries/glcd/doc/html/classglcd___device.html
 Xarduino/libraries/glcd/doc/html/classglcd___device.png
 Xarduino/libraries/glcd/doc/html/closed.png
 Xarduino/libraries/glcd/doc/html/doxygen.css
 Xarduino/libraries/glcd/doc/html/doxygen.png
 Xarduino/libraries/glcd/doc/html/ftv2blank.png
 Xarduino/libraries/glcd/doc/html/ftv2doc.png
 Xarduino/libraries/glcd/doc/html/ftv2folderclosed.png
 Xarduino/libraries/glcd/doc/html/ftv2folderopen.png
 Xarduino/libraries/glcd/doc/html/ftv2lastnode.png
 Xarduino/libraries/glcd/doc/html/ftv2link.png
 Xarduino/libraries/glcd/doc/html/ftv2mlastnode.png
 Xarduino/libraries/glcd/doc/html/ftv2mnode.png
 Xarduino/libraries/glcd/doc/html/ftv2node.png
 Xarduino/libraries/glcd/doc/html/ftv2plastnode.png
 Xarduino/libraries/glcd/doc/html/ftv2pnode.png
 Xarduino/libraries/glcd/doc/html/ftv2splitbar.png
 Xarduino/libraries/glcd/doc/html/ftv2vertline.png
 Xarduino/libraries/glcd/doc/html/functions.html
 Xarduino/libraries/glcd/doc/html/functions_func.html
 Xarduino/libraries/glcd/doc/html/functions_vars.html
 Xarduino/libraries/glcd/doc/html/glcdMakeBitmap.png
 Xarduino/libraries/glcd/doc/html/glcddiag1.jpg
 Xarduino/libraries/glcd/doc/html/glcddiag2.jpg
 Xarduino/libraries/glcd/doc/html/glcddiag3.jpg
 Xarduino/libraries/glcd/doc/html/glcddiag4.jpg
 Xarduino/libraries/glcd/doc/html/glcddiag5.jpg
 Xarduino/libraries/glcd/doc/html/glcddiag6.jpg
 Xarduino/libraries/glcd/doc/html/glcdlib.jpg
 Xarduino/libraries/glcd/doc/html/group__glcd__deprecated.html
 Xarduino/libraries/glcd/doc/html/group__glcd__enum.html
 Xarduino/libraries/glcd/doc/html/hierarchy.html
 Xarduino/libraries/glcd/doc/html/index.html
 Xarduino/libraries/glcd/doc/html/installdox
 Xarduino/libraries/glcd/doc/html/jquery.js
 Xarduino/libraries/glcd/doc/html/ks0108_Panel_A.gif
 Xarduino/libraries/glcd/doc/html/ks0108_Panel_A_WiringPic.jpg
 Xarduino/libraries/glcd/doc/html/ks0108_Panel_B.gif
 Xarduino/libraries/glcd/doc/html/ks0108lib.jpg
 Xarduino/libraries/glcd/doc/html/modules.html
 Xarduino/libraries/glcd/doc/html/nav_f.png
 Xarduino/libraries/glcd/doc/html/nav_h.png
 Xarduino/libraries/glcd/doc/html/navtree.css
 Xarduino/libraries/glcd/doc/html/navtree.js
 Xarduino/libraries/glcd/doc/html/open.png
 Xarduino/libraries/glcd/doc/html/page__additional_resources.html
 Xarduino/libraries/glcd/doc/html/page__bitmaps.html
 Xarduino/libraries/glcd/doc/html/page__fonts.html
 Xarduino/libraries/glcd/doc/html/page__fonts_bitmaps.html
 Xarduino/libraries/glcd/doc/html/page__g_l_c_d_methods.html
 Xarduino/libraries/glcd/doc/html/page__g_l_c_d_object.html
 Xarduino/libraries/glcd/doc/html/page__g_l_c_ddiags.html
 Xarduino/libraries/glcd/doc/html/page_arduino_print.html
 Xarduino/libraries/glcd/doc/html/page_configuring.html
 Xarduino/libraries/glcd/doc/html/page_coordinates.html
 Xarduino/libraries/glcd/doc/html/page_g_text_object.html
 Xarduino/libraries/glcd/doc/html/page_ks0108_family.html
 Xarduino/libraries/glcd/doc/html/page_ks0108_libmigrate.html
 Xarduino/libraries/glcd/doc/html/page_ks0108config.html
 Xarduino/libraries/glcd/doc/html/page_ks0108sketch.html
 Xarduino/libraries/glcd/doc/html/page_pindefines.html
 Xarduino/libraries/glcd/doc/html/page_sed1520_family.html
 Xarduino/libraries/glcd/doc/html/page_troubleshoot.html
 Xarduino/libraries/glcd/doc/html/page_wiring.html
 Xarduino/libraries/glcd/doc/html/panel_ks0108.jpg
 Xarduino/libraries/glcd/doc/html/panel_vk5121.jpg
 Xarduino/libraries/glcd/doc/html/resize.js
 Xarduino/libraries/glcd/doc/html/search/all_62.html
 Xarduino/libraries/glcd/doc/html/search/all_63.html
 Xarduino/libraries/glcd/doc/html/search/all_64.html
 Xarduino/libraries/glcd/doc/html/search/all_65.html
 Xarduino/libraries/glcd/doc/html/search/all_66.html
 Xarduino/libraries/glcd/doc/html/search/all_67.html
 Xarduino/libraries/glcd/doc/html/search/all_68.html
 Xarduino/libraries/glcd/doc/html/search/all_69.html
 Xarduino/libraries/glcd/doc/html/search/all_70.html
 Xarduino/libraries/glcd/doc/html/search/all_72.html
 Xarduino/libraries/glcd/doc/html/search/all_73.html
 Xarduino/libraries/glcd/doc/html/search/all_77.html
 Xarduino/libraries/glcd/doc/html/search/classes_67.html
 Xarduino/libraries/glcd/doc/html/search/close.png
 Xarduino/libraries/glcd/doc/html/search/functions_63.html
 Xarduino/libraries/glcd/doc/html/search/functions_64.html
 Xarduino/libraries/glcd/doc/html/search/functions_65.html
 Xarduino/libraries/glcd/doc/html/search/functions_66.html
 Xarduino/libraries/glcd/doc/html/search/functions_67.html
 Xarduino/libraries/glcd/doc/html/search/functions_69.html
 Xarduino/libraries/glcd/doc/html/search/functions_70.html
 Xarduino/libraries/glcd/doc/html/search/functions_72.html
 Xarduino/libraries/glcd/doc/html/search/functions_73.html
 Xarduino/libraries/glcd/doc/html/search/functions_77.html
 Xarduino/libraries/glcd/doc/html/search/mag_sel.png
 Xarduino/libraries/glcd/doc/html/search/nomatches.html
 Xarduino/libraries/glcd/doc/html/search/search.css
 Xarduino/libraries/glcd/doc/html/search/search.js
 Xarduino/libraries/glcd/doc/html/search/search_l.png
 Xarduino/libraries/glcd/doc/html/search/search_m.png
 Xarduino/libraries/glcd/doc/html/search/search_r.png
 Xarduino/libraries/glcd/doc/html/search/variables_62.html
 Xarduino/libraries/glcd/doc/html/search/variables_63.html
 Xarduino/libraries/glcd/doc/html/search/variables_68.html
 Xarduino/libraries/glcd/doc/html/search/variables_72.html
 Xarduino/libraries/glcd/doc/html/search/variables_77.html
 Xarduino/libraries/glcd/doc/html/tab_a.png
 Xarduino/libraries/glcd/doc/html/tab_b.png
 Xarduino/libraries/glcd/doc/html/tab_h.png
 Xarduino/libraries/glcd/doc/html/tab_s.png
 Xarduino/libraries/glcd/doc/html/tabs.css
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/BigNums/BigNums.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/AnalogClock.cpp
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/AnalogClock.h
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/BigDemo.h
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/GLCD_BigDemo.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/Rocket.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/bitmaps.h
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/clockFace.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/life.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCDdemo/GLCDdemo.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCDdiags/GLCDdiags.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/HelloWorld/HelloWorld.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/Rocket/Rocket.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/Rocket/bitmaps.h
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/Serial2GLCD/Serial2GLCD.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/clockFace/AnalogClock.cpp
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/clockFace/AnalogClock.h
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/clockFace/clockFace.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/ks0108example/ks0108example.pde
 X%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/life/life.pde
 Xarduino/libraries/glcd/fonts/Arial14.h
 Xarduino/libraries/glcd/fonts/Arial_bold_14.h
 Xarduino/libraries/glcd/fonts/Corsiva_12.h
 Xarduino/libraries/glcd/fonts/SystemFont5x7.h
 Xarduino/libraries/glcd/fonts/Verdana_digits_24.h
 Xarduino/libraries/glcd/fonts/allFonts.h
 Xarduino/libraries/glcd/fonts/fixednums15x31.h
 Xarduino/libraries/glcd/fonts/fixednums7x15.h
 Xarduino/libraries/glcd/fonts/fixednums8x16.h
 Xarduino/libraries/glcd/gText.cpp
 Xarduino/libraries/glcd/glcd.cpp
 Xarduino/libraries/glcd/glcd.h
 Xarduino/libraries/glcd/glcd_Buildinfo.h
 Xarduino/libraries/glcd/glcd_Config.h
 Xarduino/libraries/glcd/glcd_Device.cpp
 Xarduino/libraries/glcd/include/Streaming.h
 Xarduino/libraries/glcd/include/arduino_io.h
 Xarduino/libraries/glcd/include/avrio.h
 Xarduino/libraries/glcd/include/delay.h
 Xarduino/libraries/glcd/include/gText.h
 Xarduino/libraries/glcd/include/glcd_Deprecated.h
 Xarduino/libraries/glcd/include/glcd_Device.h
 Xarduino/libraries/glcd/include/glcd_errno.h
 Xarduino/libraries/glcd/include/glcd_io.h
 Xarduino/libraries/glcd/readme.txt
 X@dirrm arduino/libraries/glcd/include
 X@dirrm arduino/libraries/glcd/fonts
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/life
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/ks0108example
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/clockFace
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/Serial2GLCD
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/Rocket
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/HelloWorld
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/GLCDdiags
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/GLCDdemo
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/GLCD_BigDemo
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/BigNums
 X%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%
 X@dirrm arduino/libraries/glcd/doc/html/search
 X@dirrm arduino/libraries/glcd/doc/html
 X@dirrm arduino/libraries/glcd/doc
 X@dirrm arduino/libraries/glcd/device
 X@dirrm arduino/libraries/glcd/config
 X@dirrm arduino/libraries/glcd/bitmaps/utils/glcdMakeBitmap
 X@dirrm arduino/libraries/glcd/bitmaps/utils/data
 X@dirrm arduino/libraries/glcd/bitmaps/utils/Java
 X@dirrm arduino/libraries/glcd/bitmaps/utils
 X@dirrm arduino/libraries/glcd/bitmaps
 X@dirrm arduino/libraries/glcd
 842cde48cf18b70a11b15515ca566742
 exit
 
 --- /tmp/arduino-glcd-3.20111205-12.shar ends here ---
Comment 1 Mark Linimon freebsd_committer 2012-03-19 09:40:34 UTC
Class Changed
From-To: sw-bug->change-request

rescue from pending. 


Comment 2 Mark Linimon freebsd_committer 2012-03-19 09:40:34 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs
Comment 3 Pawel Pekala freebsd_committer 2012-07-18 22:15:30 UTC
Can you resubmit shar as a attachment please ? Inline submission is not
usable due to line wrap and tabs mangling. Thanks.

--=20
pozdrawiam / with regards
Pawe=B3 P=EAkala
Comment 4 leres 2012-07-19 00:36:41 UTC
On 07/18/12 14:15, Pawel Pekala wrote:
> Can you resubmit shar as a attachment please ? Inline submission is not
> usable due to line wrap and tabs mangling. Thanks.

For some reason PR attachments never seem to work the same way twice.
Here's the attachment via thunderbird.

		Craig

Comment 5 Pawel Pekala freebsd_committer 2012-07-19 15:20:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 dfilter freebsd_committer 2012-07-19 19:06:40 UTC
Author: pawel
Date: Thu Jul 19 18:06:22 2012
New Revision: 301182
URL: http://svn.freebsd.org/changeset/ports/301182

Log:
  A Graphical LCD library for Arduino
  
  This library supports Graphical LCD (GLCD) displays for use with
  Arduino and other AVR controllers.
  
  WWW: http://code.google.com/p/glcd-arduino/
  
  PR:		ports/166237
  Submitted by:	Craig Leres <leres@ee.lbl.gov>

Added:
  head/devel/arduino-glcd/
  head/devel/arduino-glcd/Makefile   (contents, props changed)
  head/devel/arduino-glcd/distinfo   (contents, props changed)
  head/devel/arduino-glcd/pkg-descr   (contents, props changed)
  head/devel/arduino-glcd/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Thu Jul 19 18:05:12 2012	(r301181)
+++ head/devel/Makefile	Thu Jul 19 18:06:22 2012	(r301182)
@@ -51,6 +51,7 @@
     SUBDIR += apr1
     SUBDIR += apr2
     SUBDIR += arduino
+    SUBDIR += arduino-glcd
     SUBDIR += arduino-mk
     SUBDIR += argouml
     SUBDIR += argp-standalone

Added: head/devel/arduino-glcd/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino-glcd/Makefile	Thu Jul 19 18:06:22 2012	(r301182)
@@ -0,0 +1,56 @@
+# New ports collection makefile for:	arduino-lib-glcd
+# Date created:		03 Apr 2011
+# Whom:			Craig Leres <leres@ee.lbl.gov>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	arduino-glcd
+PORTVERSION=	3.20111205
+CATEGORIES=	devel
+MASTER_SITES=	http://glcd-arduino.googlecode.com/files/
+DISTNAME=	glcd-20111205
+
+MAINTAINER=	leres@ee.lbl.gov
+COMMENT=	GLCD Graphical LCD Library
+
+LICENSE=	LGPL21
+
+RUN_DEPENDS=	arduino:${PORTSDIR}/devel/arduino
+
+WRKSRC=		${WRKDIR}/glcd
+USE_ZIP=	yes
+USE_DOS2UNIX=	yes
+
+NO_BUILD=	yes
+
+FILES=	\
+	Buildinfo.txt \
+	License.txt \
+	bitmaps \
+	config \
+	device \
+	doc \
+	fonts \
+	gText.cpp \
+	glcd.cpp \
+	glcd.h \
+	glcd_Buildinfo.h \
+	glcd_Config.h \
+	glcd_Device.cpp \
+	include \
+	readme.txt
+
+do-install:
+	${MKDIR} ${PREFIX}/arduino/libraries/glcd
+	(cd ${WRKDIR}/glcd && ${COPYTREE_SHARE} "${FILES}" \
+	    ${PREFIX}/arduino/libraries/glcd "! -name *\.orig")
+.if !defined(NOPORTEXAMPLES)
+	${MKDIR} ${EXAMPLESDIR}
+	(cd ${WRKDIR}/glcd/examples && ${COPYTREE_SHARE} . \
+	    ${EXAMPLESDIR} "! -name *\.orig")
+.endif
+
+PLIST_SUB+=	EXAMPLESDIR_REL=${EXAMPLESDIR_REL}
+
+.include <bsd.port.mk>

Added: head/devel/arduino-glcd/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino-glcd/distinfo	Thu Jul 19 18:06:22 2012	(r301182)
@@ -0,0 +1,2 @@
+SHA256 (glcd-20111205.zip) = b64d05a85a80f06e287610f693e4a03f66ca16e6921d118e68984c9d76b0c81d
+SIZE (glcd-20111205.zip) = 1328811

Added: head/devel/arduino-glcd/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino-glcd/pkg-descr	Thu Jul 19 18:06:22 2012	(r301182)
@@ -0,0 +1,6 @@
+A Graphical LCD library for Arduino
+
+This library supports Graphical LCD (GLCD) displays for use with
+Arduino and other AVR controllers.
+
+WWW: http://code.google.com/p/glcd-arduino/

Added: head/devel/arduino-glcd/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino-glcd/pkg-plist	Thu Jul 19 18:06:22 2012	(r301182)
@@ -0,0 +1,225 @@
+arduino/libraries/glcd/Buildinfo.txt
+arduino/libraries/glcd/License.txt
+arduino/libraries/glcd/bitmaps/ArduinoIcon.h
+arduino/libraries/glcd/bitmaps/ArduinoIcon32.bmp
+arduino/libraries/glcd/bitmaps/ArduinoIcon32.h
+arduino/libraries/glcd/bitmaps/ArduinoIcon32x32.bmp
+arduino/libraries/glcd/bitmaps/ArduinoIcon32x32.h
+arduino/libraries/glcd/bitmaps/ArduinoIcon64x32.bmp
+arduino/libraries/glcd/bitmaps/ArduinoIcon64x32.h
+arduino/libraries/glcd/bitmaps/ArduinoIcon64x64.bmp
+arduino/libraries/glcd/bitmaps/ArduinoIcon64x64.h
+arduino/libraries/glcd/bitmaps/ArduinoIcon96x32.bmp
+arduino/libraries/glcd/bitmaps/ArduinoIcon96x32.h
+arduino/libraries/glcd/bitmaps/allBitmaps.h
+arduino/libraries/glcd/bitmaps/utils/Java/glcdMakeBitmap.jar
+arduino/libraries/glcd/bitmaps/utils/Java/glcdMakeBitmap.java
+arduino/libraries/glcd/bitmaps/utils/Readme.txt
+arduino/libraries/glcd/bitmaps/utils/data/ArduinoIcon.bmp
+arduino/libraries/glcd/bitmaps/utils/glcdMakeBitmap/glcdMakeBitmap.pde
+arduino/libraries/glcd/config/Modagm1264f_Manual_Config.h
+arduino/libraries/glcd/config/Modmt12232d_Manual_Config.h
+arduino/libraries/glcd/config/Modvk5121_Manual_Config.h
+arduino/libraries/glcd/config/ks0108-192x64_Panel.h
+arduino/libraries/glcd/config/ks0108_Arduino.h
+arduino/libraries/glcd/config/ks0108_Manual_Config.h
+arduino/libraries/glcd/config/ks0108_Mega.h
+arduino/libraries/glcd/config/ks0108_Panel.h
+arduino/libraries/glcd/config/ks0108_Sanguino.h
+arduino/libraries/glcd/config/ks0108_Teensy.h
+arduino/libraries/glcd/device/hd44102_Device.h
+arduino/libraries/glcd/device/ks0108_Device.h
+arduino/libraries/glcd/device/ks0713_Device.h
+arduino/libraries/glcd/device/mt12232d_Device.h
+arduino/libraries/glcd/device/sed1520_Device.h
+arduino/libraries/glcd/device/xxx_Device.h
+arduino/libraries/glcd/doc/GLCD_Documentation.pdf
+arduino/libraries/glcd/doc/GLCDref.htm
+arduino/libraries/glcd/doc/html/Coordinates.jpg
+arduino/libraries/glcd/doc/html/annotated.html
+arduino/libraries/glcd/doc/html/bc_s.png
+arduino/libraries/glcd/doc/html/classes.html
+arduino/libraries/glcd/doc/html/classg_text-members.html
+arduino/libraries/glcd/doc/html/classg_text.html
+arduino/libraries/glcd/doc/html/classg_text.png
+arduino/libraries/glcd/doc/html/classglcd-members.html
+arduino/libraries/glcd/doc/html/classglcd.html
+arduino/libraries/glcd/doc/html/classglcd.png
+arduino/libraries/glcd/doc/html/classglcd___device-members.html
+arduino/libraries/glcd/doc/html/classglcd___device.html
+arduino/libraries/glcd/doc/html/classglcd___device.png
+arduino/libraries/glcd/doc/html/closed.png
+arduino/libraries/glcd/doc/html/doxygen.css
+arduino/libraries/glcd/doc/html/doxygen.png
+arduino/libraries/glcd/doc/html/ftv2blank.png
+arduino/libraries/glcd/doc/html/ftv2doc.png
+arduino/libraries/glcd/doc/html/ftv2folderclosed.png
+arduino/libraries/glcd/doc/html/ftv2folderopen.png
+arduino/libraries/glcd/doc/html/ftv2lastnode.png
+arduino/libraries/glcd/doc/html/ftv2link.png
+arduino/libraries/glcd/doc/html/ftv2mlastnode.png
+arduino/libraries/glcd/doc/html/ftv2mnode.png
+arduino/libraries/glcd/doc/html/ftv2node.png
+arduino/libraries/glcd/doc/html/ftv2plastnode.png
+arduino/libraries/glcd/doc/html/ftv2pnode.png
+arduino/libraries/glcd/doc/html/ftv2splitbar.png
+arduino/libraries/glcd/doc/html/ftv2vertline.png
+arduino/libraries/glcd/doc/html/functions.html
+arduino/libraries/glcd/doc/html/functions_func.html
+arduino/libraries/glcd/doc/html/functions_vars.html
+arduino/libraries/glcd/doc/html/glcdMakeBitmap.png
+arduino/libraries/glcd/doc/html/glcddiag1.jpg
+arduino/libraries/glcd/doc/html/glcddiag2.jpg
+arduino/libraries/glcd/doc/html/glcddiag3.jpg
+arduino/libraries/glcd/doc/html/glcddiag4.jpg
+arduino/libraries/glcd/doc/html/glcddiag5.jpg
+arduino/libraries/glcd/doc/html/glcddiag6.jpg
+arduino/libraries/glcd/doc/html/glcdlib.jpg
+arduino/libraries/glcd/doc/html/group__glcd__deprecated.html
+arduino/libraries/glcd/doc/html/group__glcd__enum.html
+arduino/libraries/glcd/doc/html/hierarchy.html
+arduino/libraries/glcd/doc/html/index.html
+arduino/libraries/glcd/doc/html/installdox
+arduino/libraries/glcd/doc/html/jquery.js
+arduino/libraries/glcd/doc/html/ks0108_Panel_A.gif
+arduino/libraries/glcd/doc/html/ks0108_Panel_A_WiringPic.jpg
+arduino/libraries/glcd/doc/html/ks0108_Panel_B.gif
+arduino/libraries/glcd/doc/html/ks0108lib.jpg
+arduino/libraries/glcd/doc/html/modules.html
+arduino/libraries/glcd/doc/html/nav_f.png
+arduino/libraries/glcd/doc/html/nav_h.png
+arduino/libraries/glcd/doc/html/navtree.css
+arduino/libraries/glcd/doc/html/navtree.js
+arduino/libraries/glcd/doc/html/open.png
+arduino/libraries/glcd/doc/html/page__additional_resources.html
+arduino/libraries/glcd/doc/html/page__bitmaps.html
+arduino/libraries/glcd/doc/html/page__fonts.html
+arduino/libraries/glcd/doc/html/page__fonts_bitmaps.html
+arduino/libraries/glcd/doc/html/page__g_l_c_d_methods.html
+arduino/libraries/glcd/doc/html/page__g_l_c_d_object.html
+arduino/libraries/glcd/doc/html/page__g_l_c_ddiags.html
+arduino/libraries/glcd/doc/html/page_arduino_print.html
+arduino/libraries/glcd/doc/html/page_configuring.html
+arduino/libraries/glcd/doc/html/page_coordinates.html
+arduino/libraries/glcd/doc/html/page_g_text_object.html
+arduino/libraries/glcd/doc/html/page_ks0108_family.html
+arduino/libraries/glcd/doc/html/page_ks0108_libmigrate.html
+arduino/libraries/glcd/doc/html/page_ks0108config.html
+arduino/libraries/glcd/doc/html/page_ks0108sketch.html
+arduino/libraries/glcd/doc/html/page_pindefines.html
+arduino/libraries/glcd/doc/html/page_sed1520_family.html
+arduino/libraries/glcd/doc/html/page_troubleshoot.html
+arduino/libraries/glcd/doc/html/page_wiring.html
+arduino/libraries/glcd/doc/html/panel_ks0108.jpg
+arduino/libraries/glcd/doc/html/panel_vk5121.jpg
+arduino/libraries/glcd/doc/html/resize.js
+arduino/libraries/glcd/doc/html/search/all_62.html
+arduino/libraries/glcd/doc/html/search/all_63.html
+arduino/libraries/glcd/doc/html/search/all_64.html
+arduino/libraries/glcd/doc/html/search/all_65.html
+arduino/libraries/glcd/doc/html/search/all_66.html
+arduino/libraries/glcd/doc/html/search/all_67.html
+arduino/libraries/glcd/doc/html/search/all_68.html
+arduino/libraries/glcd/doc/html/search/all_69.html
+arduino/libraries/glcd/doc/html/search/all_70.html
+arduino/libraries/glcd/doc/html/search/all_72.html
+arduino/libraries/glcd/doc/html/search/all_73.html
+arduino/libraries/glcd/doc/html/search/all_77.html
+arduino/libraries/glcd/doc/html/search/classes_67.html
+arduino/libraries/glcd/doc/html/search/close.png
+arduino/libraries/glcd/doc/html/search/functions_63.html
+arduino/libraries/glcd/doc/html/search/functions_64.html
+arduino/libraries/glcd/doc/html/search/functions_65.html
+arduino/libraries/glcd/doc/html/search/functions_66.html
+arduino/libraries/glcd/doc/html/search/functions_67.html
+arduino/libraries/glcd/doc/html/search/functions_69.html
+arduino/libraries/glcd/doc/html/search/functions_70.html
+arduino/libraries/glcd/doc/html/search/functions_72.html
+arduino/libraries/glcd/doc/html/search/functions_73.html
+arduino/libraries/glcd/doc/html/search/functions_77.html
+arduino/libraries/glcd/doc/html/search/mag_sel.png
+arduino/libraries/glcd/doc/html/search/nomatches.html
+arduino/libraries/glcd/doc/html/search/search.css
+arduino/libraries/glcd/doc/html/search/search.js
+arduino/libraries/glcd/doc/html/search/search_l.png
+arduino/libraries/glcd/doc/html/search/search_m.png
+arduino/libraries/glcd/doc/html/search/search_r.png
+arduino/libraries/glcd/doc/html/search/variables_62.html
+arduino/libraries/glcd/doc/html/search/variables_63.html
+arduino/libraries/glcd/doc/html/search/variables_68.html
+arduino/libraries/glcd/doc/html/search/variables_72.html
+arduino/libraries/glcd/doc/html/search/variables_77.html
+arduino/libraries/glcd/doc/html/tab_a.png
+arduino/libraries/glcd/doc/html/tab_b.png
+arduino/libraries/glcd/doc/html/tab_h.png
+arduino/libraries/glcd/doc/html/tab_s.png
+arduino/libraries/glcd/doc/html/tabs.css
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/BigNums/BigNums.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/AnalogClock.cpp
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/AnalogClock.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/BigDemo.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/GLCD_BigDemo.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/Rocket.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/bitmaps.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/clockFace.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCD_BigDemo/life.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCDdemo/GLCDdemo.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/GLCDdiags/GLCDdiags.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/HelloWorld/HelloWorld.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/Rocket/Rocket.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/Rocket/bitmaps.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/Serial2GLCD/Serial2GLCD.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/clockFace/AnalogClock.cpp
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/clockFace/AnalogClock.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/clockFace/clockFace.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/ks0108example/ks0108example.pde
+%%PORTEXAMPLES%%%%EXAMPLESDIR_REL%%/life/life.pde
+arduino/libraries/glcd/fonts/Arial14.h
+arduino/libraries/glcd/fonts/Arial_bold_14.h
+arduino/libraries/glcd/fonts/Corsiva_12.h
+arduino/libraries/glcd/fonts/SystemFont5x7.h
+arduino/libraries/glcd/fonts/Verdana_digits_24.h
+arduino/libraries/glcd/fonts/allFonts.h
+arduino/libraries/glcd/fonts/fixednums15x31.h
+arduino/libraries/glcd/fonts/fixednums7x15.h
+arduino/libraries/glcd/fonts/fixednums8x16.h
+arduino/libraries/glcd/gText.cpp
+arduino/libraries/glcd/glcd.cpp
+arduino/libraries/glcd/glcd.h
+arduino/libraries/glcd/glcd_Buildinfo.h
+arduino/libraries/glcd/glcd_Config.h
+arduino/libraries/glcd/glcd_Device.cpp
+arduino/libraries/glcd/include/Streaming.h
+arduino/libraries/glcd/include/arduino_io.h
+arduino/libraries/glcd/include/avrio.h
+arduino/libraries/glcd/include/delay.h
+arduino/libraries/glcd/include/gText.h
+arduino/libraries/glcd/include/glcd_Deprecated.h
+arduino/libraries/glcd/include/glcd_Device.h
+arduino/libraries/glcd/include/glcd_errno.h
+arduino/libraries/glcd/include/glcd_io.h
+arduino/libraries/glcd/readme.txt
+@dirrm arduino/libraries/glcd/include
+@dirrm arduino/libraries/glcd/fonts
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/life
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/ks0108example
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/clockFace
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/Serial2GLCD
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/Rocket
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/HelloWorld
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/GLCDdiags
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/GLCDdemo
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/GLCD_BigDemo
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%/BigNums
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR_REL%%
+@dirrm arduino/libraries/glcd/doc/html/search
+@dirrm arduino/libraries/glcd/doc/html
+@dirrm arduino/libraries/glcd/doc
+@dirrm arduino/libraries/glcd/device
+@dirrm arduino/libraries/glcd/config
+@dirrm arduino/libraries/glcd/bitmaps/utils/glcdMakeBitmap
+@dirrm arduino/libraries/glcd/bitmaps/utils/data
+@dirrm arduino/libraries/glcd/bitmaps/utils/Java
+@dirrm arduino/libraries/glcd/bitmaps/utils
+@dirrm arduino/libraries/glcd/bitmaps
+@dirrm arduino/libraries/glcd
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Pawel Pekala freebsd_committer 2012-07-19 19:07:12 UTC
State Changed
From-To: open->closed

New port added. Thanks!